#ifndef _ASM_ST200_SIGCONTEXT_H
#define _ASM_ST200_SIGCONTEXT_H

#include <asm/ptrace.h>

struct sigcontext {
	unsigned long sc_flags;
	struct pt_regs sc_regs;	/* registers to restore */
	struct switch_stack sc_ss;	/* registers to restore */
	stack_t sc_stack;	/* previously active stack */
	unsigned long sc_reserved[8];
	/*
	 * The mask must come last so we can increase _NSIG_WORDS
	 * without breaking binary compatibility.
	 */
	sigset_t sc_mask;	/* signal mask to restore after handler returns */
};

#endif /* _ASM_ST200_SIGCONTEXT_H */
