/* vi: set sw=4 ts=4: */
/*
 * umount() for uClibc
 *
 * Copyright (C) 2000-2004 by Erik Andersen <andersen@codepoet.org>
 *
 * GNU Library General Public License (LGPL) version 2 or later.
 */

#include "syscalls.h"
#include <sys/mount.h>
#  ifdef __NR_umount /* st200 doesnt have umount */
_syscall1(int, umount, const char *, specialfile);
#  else
extern int umount2(const char *special_file, int flags);
#warning XXX CRS - using MNT_FORCE flag for umount operation XXX
int umount(const char *special_file)
{
	    return umount2(special_file, MNT_FORCE);
}
#   endif
