/* libc/sysdeps/linux/st200/vfork.s
 * vfork() code for st200
 *
 * Copyright (C) 2002 by STMicroelectronics
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
 * for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <linux/linkage.h>
#define _ERRNO_H        1
#include <bits/errno.h>
#include <asm/unistd.h>
#include "st200errno.h"

#ifndef __NR_vfork
#define __NR_vfork __NR_fork /* uClinux-2.0 only has fork which is vfork */
#endif

/*
 * Because the child process runs with the same stack as the parent, vfork
 * cannot rely on a return address on the stack. Thus this version cannot
 * call syscall0.
 * Calling set_errno should be OK, because in that case the vfork has
 * failed.
 */

//ENTRY(vfork):
vfork::
	mov	$r0.2 = __NR_vfork
	;;
	trap 0x90
//	syscall	0
	;;
	br	$b0.0, 1f
	;;
	goto	$l0.0
	;;
1:
	/* TODO: fix newlines in ST200ERRNO.h */
	//ST200ERRNO
  	mov	$r0.53 = errno
	stw	0[$r0.53] = $r0.3
	;;	
        mov     $r0.3 = -1
        return  $l0.0
        ;;
