/*
 * include/asm-st200/irq.h
 *
 * Copyright (C) 2002 STMicroelectronics Limited
 *	Author: Stuart Menefy <stuart.menefy@st.com>
 *
 */

#ifndef _ASM_ST200_IRQ_H
#define _ASM_ST200_IRQ_H

#define NR_IRQS 128

static __inline__ int irq_canonicalize(int irq)
{
	return irq;
}

extern void disable_irq(unsigned int);
extern void disable_irq_nosync(unsigned int);
extern void enable_irq(unsigned int);

#endif /* _ASM_ST200_IRQ_H */
