/*
 * include/asm-sh/serial.h
 *
 * Configuration details for 8250, 16450, 16550, etc. serial ports
 */

#ifndef _ASM_SERIAL_H
#define _ASM_SERIAL_H

#include <linux/kernel.h>

/*
 * This assumes you have a 1.8432 MHz clock for your UART.
 *
 */
#define BASE_BAUD ( 18432000 / 16 )

#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF | ASYNC_SKIP_TEST)

#define STD_SERIAL_PORT_DEFNS

#define SERIAL_PORT_DFNS STD_SERIAL_PORT_DEFNS

#endif /* _ASM_SERIAL_H */
