/*
 * include/asm-st200/simtrace.h
 *
 * Copyright (C) 2003 STMicroelectronics Limited
 *	Author: Stuart Menefy <stuart.menefy@st.com>
 */

/* Simulator trace plug-in interface */

#ifndef _ASM_ST200_SIMTRACE_H
#define _ASM_ST200_SIMTRACE_H

#ifdef CONFIG_SIMULATOR_TRACE_DEVICE
void sim_trace_on(int mode);
void sim_trace_off(void);
#else
static __inline__ void sim_trace_on(int mode)
{
}

static __inline__ void sim_trace_off(void)
{
}
#endif

#endif /* _ASM_ST200_SIMTRACE_H */
