/*
 * include/asm-st200/vdso.h
 *
 * Copyright (C) 2010 STMicroelectronics Limited
 *	Author: Stephen Clarke <stephen.clarke@st.com>
 *
 */

#ifndef _ASM_ST200_VDSO_H
#define _ASM_ST200_VDSO_H

#ifdef __KERNEL__

/* Default link addresses for the vDSO */
#define VDSO_LBASE 0

/* Default map addresses for the vDSO */
#define VDSO_MBASE VDSO_LBASE

#define VDSO_VERSION_STRING	LINUX_2.6.32

#ifndef __ASSEMBLY__

extern unsigned long vdso_sigrestorer;

#endif /* __ASSEMBLY__ */

#endif /* __KERNEL__ */

#endif /* _ASM_ST200_VDSO_H */
