/*
 * include/asm-st200/debugregs.h
 *
 * Copyright (C) 2003 STMicroelectronics Limited
 *	Author: Stuart Menefy <stuart.menefy@st.com>
 */

/* Arguments to PT_DEBUG to get the offset of registers into struct user */

#ifndef _ASM_ST200_DEBUGREGS_H
#define _ASM_ST200_DEBUGREGS_H

#define DR_DBREAK_CONTROL	0
#define DR_DBREAK_LOWER		1
#define DR_DBREAK_UPPER		2
#define DR_IBREAK_CONTROL	3
#define DR_IBREAK_LOWER		4
#define DR_IBREAK_UPPER		5

#define DR_TRACE		6

/* Values for DR_[DI]BREAK_CONTROL */

#define DR_BRK_IN_RANGE		(1<<0)
#define DR_BRK_OUT_RANGE	(1<<1)
#define DR_BRK_EITHER		(1<<2)
#define DR_BRK_MASKED		(1<<3)

#endif /* _ASM_ST200_DEBUGREGS_H */
