/* pipe system call for Linux/ST200 */

#include <linux/linkage.h>
#include <sys/syscall.h>
#include "st200errno.h"

/*
 * int pipe(int *fd)
 */

//H I don't think we need to store r3 and r4 into the pointer input argument fd[2].
//Looking at the code in Linux, the pipe syscall already does that

//ENTRY(pipe)
pipe::
//	stw	0[$r0.1] = $r0.3
	mov	$r0.2 = __NR_pipe
	;;
//	syscall	0
	trap 0x90
	;;
//	ldw	$r0.11 = 0[$r0.1]
	br	$b0.0, 1f
//	;;
//	;;
//	stw	0[$r0.11] = $r0.3
	;;
//	stw	4[$r0.11] = $r0.4
	mov	$r0.3 = $r0.0
	return	$l0.0
	;;
1:

	/* TODO: fix newlines in ST200ERRNO.h */
	//ST200ERRNO
  	mov	$r0.53 = errno
	stw	0[$r0.53] = $r0.3
	;;
        mov $r0.3 = -1
        return $l0.0
	;;
