/*
 * ST 200 errno returning assembler
 * Author: Carl Shaw <carl.shaw@st.com>
 * Based on ST200 glibc code
 */

#include <features.h>

//#define lr $l0.0
//#define sp $r0.1
//
//#ifndef __PIC__
///*  Non-PIC error setting code  */
//#ifdef __UCLIBC_HAS_THREADS__
//#define ST200ERRNO				\
//	add	sp = sp, -32 		;	\
//	stw	-4[ sp ] = lr 		;	\
//	;; 				;	\
//	stw	24[ sp ] = $r0.3 	;	\
//	;; 				;	\
//	call	lr = __errno_location 	;	\
//	;; 				;	\
//	ldw	lr = 28[ sp ] 		;	\
//	;; 				;		\
//	ldw	$r0.53 = 24[ sp ] 		;	\
//	;;				;		\
//	stw	0[$r0.3] = $r0.53 		;	\
//	add	sp = sp, 32 
//#else
#define ST200ERRNO \
  	mov	$r0.53 = errno 		;		\
	;; 				;		\
	stw	0[$r0.53] = $r0.3 
//#endif /* __UCLIBC_HAS_THREADS__ */
//	
//#else
//	
///*  PIC error setting code  */
//	
//#ifdef __UCLIBC_HAS_THREADS__
///* Store r0.3 into location returned by __errno_location */
///* Note GP (r0.56) needs to be set up before call to __errno_location
//   in case that call goes through the PLT. */
//#define ST200ERRNO \
//	add     sp = sp, -32 		;\
//        stw     -16[ sp ] = lr 		;\
//        ;; 				;\
//        stw     20[ sp ] = $r0.57 		;\
//        mov     $r0.57 = $r0.3 		;\
//        call    lr = 2f 		;\
//        ;;  				;\
//2:      stw     24[ sp ] = $r0.56 	;\
//        add     $r0.56 = lr, @neggprel(2b) ;\
//        call    lr = __errno_location 	;\
//        ;;  				;\
//        ldw     lr = 16[ sp ] 		;\
//        ;; 				;\
//        stw     0[$r0.3] = $r0.57 		;\
//        ;; 				;\
//        ldw     $r0.57 = 20[ sp ] 		;\
//        ;; 				;\
//        ldw     $r0.56 = 24[ sp ]		;\
//        add     sp = sp, 32 		;\
//	;; 
//#else
//
///* Store r0.3 into errno.  */
///* Need to set up GP so we can load the address of errno.
//   We can put the GP into a scratch register (r0.53) because
//   we are in a leaf routine, this avoids having to callee-save
//   r0.56.  However, we must save the old value of l0.0, because l0.0
//   is overwritten by the code to calculate the GP. */
//#define ST200ERRNO \
//        add     sp = sp, -32 		;\
//        stw     -16[ sp ]  = lr		;\
//        call    lr = 2f 		;\
//        ;; 				;\
//2:      add     $r0.53 = lr, @neggprel(2b) ;\
//        ;; 				;\
//        ldw     $r0.53 = @gotoff(errno)[$r0.53];\
//        ;; 				;\
//        ldw     lr = 16[ sp ] 		;\
//        ;; 				;\
//        stw     0[$r0.53] = $r0.3 		;\
//        add     sp = sp, 32 		;\
//	;;
//
//#endif /* __UCLIBC_HAS_THREADS__ */
//
//#endif /* __PIC__ */
